Solid Edge Draft Type Library
PartsList Object
Members 
Solid Edge Draft Type Library : PartsList Object
Description
Represents an occurrence of a PartsList in a Draft document.
Object Model
PartsList ObjectApplication ObjectSelectSet CollectionAddIns CollectionApplication ObjectApplicationEvents ObjectApplicationV8DocumentOpenEvent ObjectApplicationWindowEvents ObjectBeforeFileSaveAsEvents ObjectBiDMEvents ObjectCommand ObjectCustomization ObjectDocuments CollectionEnvironments CollectionFeatureLibraryEvents ObjectFeatureSelectedFromPFEvents ObjectFileUIEvents ObjectMatTable ObjectInsight ObjectNewFileUIEvents ObjectApplication ObjectSEECEvents ObjectSESPEvents ObjectShortcutMenuEvents ObjectSolidEdgeInsightXT ObjectSolidEdgeTCE ObjectWindows CollectionTableCell ObjectApplication ObjectTableColumns CollectionTableGroups CollectionModelLink ObjectApplication ObjectModelNodes CollectionTablePages CollectionTableRows CollectionTableTitles Collection
Example
Public Class PartsList

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgeDraft.DraftDocument = Nothing
        Dim objSheets As SolidEdgeDraft.Sheets = Nothing
        Dim objSheet As SolidEdgeDraft.Sheet = Nothing
        Dim objDrawingViews As SolidEdgeDraft.DrawingViews = Nothing
        Dim objDrawingView As SolidEdgeDraft.DrawingView = Nothing
        Dim objPartsLists As SolidEdgeDraft.PartsLists = Nothing
        Dim objPartsList As SolidEdgeDraft.PartsList = Nothing
        Dim bValue As Boolean
        Dim nValue As Long
        Dim sValue As String
        Dim dValue As Double

        Try
            objApp = GetObject(, "SolidEdge.Application")
            objDoc = objApp.ActiveDocument
            objSheets = objDoc.Sheets
            objSheet = objDoc.Sheets.Item(1)
            objDrawingViews = objSheet.DrawingViews
            objDrawingView = objDrawingViews.Item(1)
            objPartsLists = objDoc.PartsLists
            objPartsList = objPartsLists.Item(1)

            'active
            objPartsList.Active = True
            bValue = objPartsList.Active
            Debug.Print(bValue)

            'SetComponentSortPriority
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Parts, 0)
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Pipes, 1)
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_PipeFittings, 2)
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_FrameMembers, 3)

            'Configuration
            objPartsList.Configuration = "default,aitken"
            sValue = objPartsList.Configuration
            Debug.Print(sValue)

            'ConvertDeletedPartsIntoUserDefinedRows
            objPartsList.ConvertDeletedPartsIntoUserDefinedRows = True
            bValue = objPartsList.ConvertDeletedPartsIntoUserDefinedRows
            Debug.Print(bValue)

            'ExpandWeldmentSubAssemblies
            objPartsList.ExpandWeldmentSubAssemblies = True
            bValue = objPartsList.ExpandWeldmentSubAssemblies
            Debug.Print(bValue)

            'FrameRoughCutEndClearance
            objPartsList.FrameRoughCutEndClearance = 0.1
            dValue = objPartsList.FrameRoughCutEndClearance
            Debug.Print(dValue)

            'ItemNumberIncrement
            objPartsList.ItemNumberIncrement = 2
            nValue = objPartsList.ItemNumberIncrement
            Debug.Print(nValue)

            'ItemNumberStart
            objPartsList.ItemNumberStart = 101
            nValue = objPartsList.ItemNumberStart
            Debug.Print(nValue)

            'MarkAmbiguousValues
            objPartsList.MarkAmbiguousValues = True
            bValue = objPartsList.MarkAmbiguousValues
            Debug.Print(bValue)

            'MarkAmbiguousValuesString
            objPartsList.MarkAmbiguousValuesString = "~"
            sValue = objPartsList.MarkAmbiguousValuesString
            Debug.Print(sValue)

            'MarkUnballoonedItems
            objPartsList.MarkUnballoonedItems = True
            bValue = objPartsList.MarkUnballoonedItems
            Debug.Print(bValue)

            'MarkUnballoonedItemsString
            objPartsList.MarkUnballoonedItemsString = "#"
            sValue = objPartsList.MarkUnballoonedItemsString
            Debug.Print(sValue)

            'PipeRoughCutEndClearance
            objPartsList.PipeRoughCutEndClearance = 0.2
            dValue = objPartsList.PipeRoughCutEndClearance
            Debug.Print(dValue)

            'RenumberAccordingToSortOrder
            objPartsList.RenumberAccordingToSortOrder = True
            bValue = objPartsList.RenumberAccordingToSortOrder
            Debug.Print(bValue)

            'SetShowComponent
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Parts, True)
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Pipes, False)
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_PipeFittings, True)
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_FrameMembers, False)

            'TotalLengthPartsList
            objPartsList.TotalLengthPartsList = True
            bValue = objPartsList.TotalLengthPartsList
            Debug.Print(bValue)

            'TotalLengthPartsList_ItemNumberSeparator
            objPartsList.TotalLengthPartsList_ItemNumberSeparator = ":"
            sValue = objPartsList.TotalLengthPartsList_ItemNumberSeparator
            Debug.Print(sValue)

            'UseUniquenessCriteria_CutLength
            objPartsList.UseUniquenessCriteria_CutLength = True
            bValue = objPartsList.UseUniquenessCriteria_CutLength
            Debug.Print(bValue)

            'UseUniquenessCriteria_Mass
            objPartsList.UseUniquenessCriteria_Mass = True
            bValue = objPartsList.UseUniquenessCriteria_Mass
            Debug.Print(bValue)

            'UseUniquenessCriteria_Miter
            objPartsList.UseUniquenessCriteria_Miter = True
            bValue = objPartsList.UseUniquenessCriteria_Miter
            Debug.Print(bValue)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Class
using System.Windows.Forms;

public class PartsList
{

    private void Form1_Load(object sender, System.EventArgs e)
    {
        SolidEdgeFramework.Application objApp = null;
        SolidEdgeDraft.DraftDocument objDoc = null;
        SolidEdgeDraft.Sheets objSheets = null;
        SolidEdgeDraft.Sheet objSheet = null;
        SolidEdgeDraft.DrawingViews objDrawingViews = null;
        SolidEdgeDraft.DrawingView objDrawingView = null;
        SolidEdgeDraft.PartsLists objPartsLists = null;
        SolidEdgeDraft.PartsList objPartsList = null;
        bool bValue = false;
        long nValue = 0;
        string sValue = null;
        double dValue = 0;

        try
        {
            objApp = Microsoft.VisualBasic.Interaction.GetObject(null, "SolidEdge.Application");
            objDoc = objApp.ActiveDocument;
            objSheets = objDoc.Sheets;
            objSheet = objDoc.Sheets.Item(1);
            objDrawingViews = objSheet.DrawingViews;
            objDrawingView = objDrawingViews.Item(1);
            objPartsLists = objDoc.PartsLists;
            objPartsList = objPartsLists.Item(1);

            //active
            objPartsList.Active = true;
            bValue = objPartsList.Active;
            Debug.Print(bValue);

            //SetComponentSortPriority
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Parts, 0);
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Pipes, 1);
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_PipeFittings, 2);
            objPartsList.SetComponentSortPriority(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_FrameMembers, 3);

            //Configuration
            objPartsList.Configuration = "default,aitken";
            sValue = objPartsList.Configuration;
            Debug.Print(sValue);

            //ConvertDeletedPartsIntoUserDefinedRows
            objPartsList.ConvertDeletedPartsIntoUserDefinedRows = true;
            bValue = objPartsList.ConvertDeletedPartsIntoUserDefinedRows;
            Debug.Print(bValue);

            //ExpandWeldmentSubAssemblies
            objPartsList.ExpandWeldmentSubAssemblies = true;
            bValue = objPartsList.ExpandWeldmentSubAssemblies;
            Debug.Print(bValue);

            //FrameRoughCutEndClearance
            objPartsList.FrameRoughCutEndClearance = 0.1;
            dValue = objPartsList.FrameRoughCutEndClearance;
            Debug.Print(dValue.ToString());

            //ItemNumberIncrement
            objPartsList.ItemNumberIncrement = 2;
            nValue = objPartsList.ItemNumberIncrement;
            Debug.Print(nValue.ToString());

            //ItemNumberStart
            objPartsList.ItemNumberStart = 101;
            nValue = objPartsList.ItemNumberStart;
            Debug.Print(nValue.ToString());

            //MarkAmbiguousValues
            objPartsList.MarkAmbiguousValues = true;
            bValue = objPartsList.MarkAmbiguousValues;
            Debug.Print(bValue);

            //MarkAmbiguousValuesString
            objPartsList.MarkAmbiguousValuesString = "~";
            sValue = objPartsList.MarkAmbiguousValuesString;
            Debug.Print(sValue);

            //MarkUnballoonedItems
            objPartsList.MarkUnballoonedItems = true;
            bValue = objPartsList.MarkUnballoonedItems;
            Debug.Print(bValue);

            //MarkUnballoonedItemsString
            objPartsList.MarkUnballoonedItemsString = "#";
            sValue = objPartsList.MarkUnballoonedItemsString;
            Debug.Print(sValue);

            //PipeRoughCutEndClearance
            objPartsList.PipeRoughCutEndClearance = 0.2;
            dValue = objPartsList.PipeRoughCutEndClearance;
            Debug.Print(dValue.ToString());

            //RenumberAccordingToSortOrder
            objPartsList.RenumberAccordingToSortOrder = true;
            bValue = objPartsList.RenumberAccordingToSortOrder;
            Debug.Print(bValue);

            //SetShowComponent
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Parts, true);
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_Pipes, false);
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_PipeFittings, true);
            objPartsList.SetShowComponent(SolidEdgeDraft.PartsListComponentType.igPartsListComponentType_FrameMembers, false);

            //TotalLengthPartsList
            objPartsList.TotalLengthPartsList = true;
            bValue = objPartsList.TotalLengthPartsList;
            Debug.Print(bValue);

            //TotalLengthPartsList_ItemNumberSeparator
            objPartsList.TotalLengthPartsList_ItemNumberSeparator = ":";
            sValue = objPartsList.TotalLengthPartsList_ItemNumberSeparator;
            Debug.Print(sValue);

            //UseUniquenessCriteria_CutLength
            objPartsList.UseUniquenessCriteria_CutLength = true;
            bValue = objPartsList.UseUniquenessCriteria_CutLength;
            Debug.Print(bValue);

            //UseUniquenessCriteria_Mass
            objPartsList.UseUniquenessCriteria_Mass = true;
            bValue = objPartsList.UseUniquenessCriteria_Mass;
            Debug.Print(bValue);

            //UseUniquenessCriteria_Miter
            objPartsList.UseUniquenessCriteria_Miter = true;
            bValue = objPartsList.UseUniquenessCriteria_Miter;
            Debug.Print(bValue);

        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.ToString());
        }
    }

    public PartsList()
    {
        SubscribeToEvents();
    }

    private bool EventsSubscribed = false;
    private void SubscribeToEvents()
    {
        if (EventsSubscribed)
            return;
        else
            EventsSubscribed = true;

        base.Load += Form1_Load;
    }

}
See Also

PartsList Members